net.sf.jasperreports.engine.export.ooxml

## Class JRDocxExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.ooxml.JRDocxExporterParameter

- Deprecated.
  Replaced by `DocxExporterConfiguration`.

      public class JRDocxExporterParameter
      extends JRExporterParameter

  Version:
    $Id: JRDocxExporterParameter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRDocxExporterParameter` | `FLEXIBLE_ROW_HEIGHT` Deprecated. Replaced by `DocxReportConfiguration.isFlexibleRowHeight()`.
    `static JRDocxExporterParameter` | `FRAMES_AS_NESTED_TABLES` Deprecated. Replaced by `DocxReportConfiguration.isFramesAsNestedTables()`.
    `static java.lang.String` | `PROPERTY_FLEXIBLE_ROW_HEIGHT` Deprecated. Replaced by `DocxReportConfiguration.PROPERTY_FLEXIBLE_ROW_HEIGHT`.
    `static java.lang.String` | `PROPERTY_FRAMES_AS_NESTED_TABLES` Deprecated. Replaced by `DocxReportConfiguration.PROPERTY_FRAMES_AS_NESTED_TABLES`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRDocxExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FRAMES_AS_NESTED_TABLES

          public static final JRDocxExporterParameter FRAMES_AS_NESTED_TABLES

      Deprecated. Replaced by `DocxReportConfiguration.isFramesAsNestedTables()`.

    - #### PROPERTY_FRAMES_AS_NESTED_TABLES

          public static final java.lang.String PROPERTY_FRAMES_AS_NESTED_TABLES

      Deprecated. Replaced by `DocxReportConfiguration.PROPERTY_FRAMES_AS_NESTED_TABLES`.
      See Also:
        Constant Field Values

    - #### FLEXIBLE_ROW_HEIGHT

          public static final JRDocxExporterParameter FLEXIBLE_ROW_HEIGHT

      Deprecated. Replaced by `DocxReportConfiguration.isFlexibleRowHeight()`.

    - #### PROPERTY_FLEXIBLE_ROW_HEIGHT

          public static final java.lang.String PROPERTY_FLEXIBLE_ROW_HEIGHT

      Deprecated. Replaced by `DocxReportConfiguration.PROPERTY_FLEXIBLE_ROW_HEIGHT`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDocxExporterParameter

          protected JRDocxExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com